- Qt 5.15
- Qt Quick Controls 1
- QML Types
- StackViewDelegate QML Type
- Qt 5.15.19 Reference Documentation

# StackViewDelegate QML Type

A delegate used by StackView for loading transitions. More...

Import Statement: | import QtQuick.Controls 1.4
Since: | Qt 5.1
Inherits: | QtObject

- List of all members, including inherited members

## Properties

- popTransition : Component
- pushTransition : Component
- replaceTransition : Component

## Methods

- Transition getTransition(properties)
- void transitionFinished(properties)

## Detailed Description

See the documentation for the StackView component.

## Property Documentation

popTransition : Component

The transition used on pop operation. Unless set, the popTransition is the same as pushTransition

pushTransition : Component

The transition used on push operation.

replaceTransition : Component

The transition used on replace operation. Unless set, the replaceTransition is the same as pushTransition

## Method Documentation

Transition getTransition(properties)

The base implementation of this function just looks for a property named properties.name inside itself and returns it.

See also Transitions.

void transitionFinished(properties)

Handles the completion of a transition for properties. The base implementation of this function is empty.

See also Transitions.